Bug 142331 - LDAP search segfaults when server returns error
LDAP search segfaults when server returns error
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: python-ldap (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-08 18:22 EST by Tessa Lau
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gdb backtrace when Python segfaults (1.85 KB, text/plain)
2004-12-08 18:23 EST, Tessa Lau
no flags Details

  None (edit)
Description Tessa Lau 2004-12-08 18:22:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041003
Firefox/0.10.1

Description of problem:
Doing an LDAP search against one of our intranet LDAP
servers results in a segmentation fault with Python
2.3.4 on Fedora Core 3. Here is a 2-line test case:

server = ldap.initialize(URL)
results = server.search_st(BASE, ldap.SCOPE_ONELEVEL,
  '(cn=anyone@gmail.com)',
  ['cn', 'email'])

The gdb backtrace is attached.

If I run the same code on a different system (Debian,
Python 2.3.4, OpenLDAP 2.1.30), instead of a segfault I
see an LDAP error:

ldap.NO_RESULTS_RETURNED: {'info': '', 'desc': 'No
results returned'}

Based on the backtrace, I think the FC3 system is not
handling that error correctly.



Version-Release number of selected component (if applicable):
python-ldap-2.0.1-2

How reproducible:
Always

Steps to Reproduce:
1. Run the 2-line test case above
2. Crash!
3.
    

Additional info:

Python version information:

Python 2.3.4 (#1, Oct 26 2004, 16:42:40)
[GCC 3.4.2 20041017 (Red Hat 3.4.2-6.fc3)] on linux2

Python and LDAP RPMs installed:

python-2.3.4-11
nss_ldap-220-3
python-ldap-2.0.1-2
openldap-2.2.13-2
openldap-devel-2.2.13-2
openldap-clients-2.2.13-2
openldap-servers-2.2.13-2
cyrus-sasl-2.1.19-3

uname -a:
Linux xxx.yyy.net 2.6.9-1.681_FC3.WKD_tr_mts_1 #1 Tue
Nov 23 22:35:54 EST 2004 i686 athlon i386 GNU/Linux
Comment 1 Tessa Lau 2004-12-08 18:23:55 EST
Created attachment 108162 [details]
gdb backtrace when Python segfaults
Comment 2 Matthew Miller 2006-07-10 16:25:55 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-11-05 11:09:55 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.